module.exports = {
  name: 'scout',
  count: 1,
  prio: 15,
  minRcl: 3,
  bodies: [[MOVE]],
  nextSpawn (spawn, roleCreeps) {
    for (let roomName of activeRemotes) {
      if (!Game.rooms[roomName] && _.filter(roleCreeps, {memory: {room: roomName}}).length === 0) {
        return [
          [MOVE],
          {room: roomName}
        ]
      }
    }
  },
  tick (creep) {
    let room = Game.rooms[creep.memory.room]
    if (!room) {
      for (let remoteRoom of activeRemotes) {
        if (!Game.rooms[remoteRoom]) {
          creep.memory.room = remoteRoom
        }
      }
    }
    let pos = new RoomPosition(25, 25, creep.memory.room)
    if (moveToRoom(creep, creep.memory.room) === ALREADY_IN_ROOM && creep.pos.getRangeTo(pos) > 10) {
      creep.moveByPath(PathFinder.search(creep.pos, {pos, range: 10}).path)
    }
  },
}
